> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename or re-site a registered machine

> Rename or re-site a registered machine



## OpenAPI

````yaml /api-reference/openapi.json patch /api/devices/{id}
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/devices/{id}:
    patch:
      tags:
        - Devices
      summary: Rename or re-site a registered machine
      description: Rename or re-site a registered machine
      operationId: patchApiDevicesById
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  anyOf:
                    - type: string
                      minLength: 1
                    - type: 'null'
                locationId:
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    - type: 'null'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  orgId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  deviceId:
                    type: string
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  locationId:
                    anyOf:
                      - type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      - type: 'null'
                  locationName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  model:
                    type: string
                  kind:
                    type: string
                    enum:
                      - biometric
                      - kiosk
                  firmware:
                    type: string
                  enrolledCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  lastSyncAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  status:
                    type: string
                    enum:
                      - Online
                      - Offline
                  retiredAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  punchesToday:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  health:
                    type: string
                    enum:
                      - online
                      - degraded
                      - offline
                      - retired
                required:
                  - id
                  - orgId
                  - deviceId
                  - name
                  - locationId
                  - locationName
                  - model
                  - kind
                  - firmware
                  - enrolledCount
                  - lastSyncAt
                  - status
                  - retiredAt
                  - punchesToday
                  - health
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````